#!/usr/bin/bash

version="4.2.3.Final"
name="eclipse-jbosstools"

MODULES="jbosstools-base \
         jbosstools-build \
         jbosstools-build-sites \
         jbosstools-freemarker \
         jbosstools-javaee \
         jbosstools-jst \
         jbosstools-openshift \
         jbosstools-server \
         jbosstools-webservices"

# Where possible, commit SHAs based on stable Git tag
declare -A commits
commits[jbosstools-base]="4240d036287b0c892515cecc0e6e3f234137ad84"
commits[jbosstools-build]="9500a1e148e68a46d4368da79578f26aa50b630b"
commits[jbosstools-build-sites]="7b55d1a8b757e04daa0dcdb328c4b6cfa2eeab8f"
commits[jbosstools-freemarker]="122ec093384398084a63cd058a1e1671f641c0d1"
commits[jbosstools-javaee]="86d74ad8fce1a9bc1eb1957502f406c1ed1d3ca9"
commits[jbosstools-jst]="180b7c816d460e4e30c5fd14b8b05caf5cd0c7ea"
commits[jbosstools-openshift]="e929596f8c2a6e6b950512bff60cc34b1f2edf0e"
commits[jbosstools-server]="d6491efc29a0dac8c9de2ac0d51d292ac15a48cd"
commits[jbosstools-webservices]="1aa0d8958a4ffb767d329656977cf9c68bfdb6c0"

mkdir ${name}-${version}/

for module in ${MODULES}; do
  wget https://github.com/jbosstools/${module}/archive\
/${commits[${module}]}/${module}-${version}.tar.gz
done

pushd ${name}-${version}
  for module in ${MODULES}; do
    tar xfz ../${module}-${version}.tar.gz
    mv ${module}-${commits[${module}]} ${module}
  done

  for ext in jar war zip class; do
    find -type f -name *.${ext} -delete
  done
popd

tar cJf ${name}-${version}.tar.xz ${name}-${version}/
rm -r ${name}-${version}

for module in ${MODULES}; do
  rm ${module}-${version}.tar.gz
done
